View Single Post
Old 05-06-03, 04:36 PM   #3
bwkaz
Registered User
 
Join Date: Sep 2002
Posts: 2,262
Default

Have either of you tried updating your glibc package?

Quote:
Q: Some OpenGL applications (like Quake3 Arena) crash when I start them
on Red Hat Linux 9.

A: Some versions of the glibc package shipped by Red Hat that support
TLS do not properly handle using dlopen() to access shared libraries
which utilize some TLS models. This problem is exhibited, for example,
when Quake3 Area dlopen()'s NVIDIA's libGL library. Please obtain
at least glibc-2.3.2-11.9 which is available as an update from Red Hat.
Not only Q3 is affected by this -- anything that dlopen()'s libGL is affected by it.
__________________
Registered Linux User #219692

Last edited by bwkaz; 05-06-03 at 04:42 PM.
bwkaz is offline   Reply With Quote